## org.gnu.gtk
Class IMContextSimple

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.GObject
              org.gnu.gtk.IMContext
                  org.gnu.gtk.IMContextSimple

public class IMContextSimple
extends IMContext

Constructor Summary
`IMContextSimple()` Construct a new IMContextSimple object.

Method Summary
`static Type` `getType()` Retrieve the runtime type used by the GLib library.

Methods inherited from class org.gnu.gtk.IMContext
`focusIn, focusOut, getIMContext, reset, setClientWindow, setCursorLocation, setUsePreedit`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, collect, freezeNotify, getBooleanProperty, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getPixbufProperty, getProperty, getStringProperty, hasProperty, notify, removeEventHandler, removeListener, setBooleanProperty, setData, setDoubleProperty, setFloatProperty, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IMContextSimple

    public IMContextSimple()

  Construct a new IMContextSimple object.

Method Detail

### getType

    public static Type getType()

  Retrieve the runtime type used by the GLib library.